<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Carrito de compras - Muebleria Lucy</title>
	<link rel="icon" type="text/css" href="img/icono.png">
	<link rel="stylesheet" type="text/css" href="src/bootstrap-5.1.3-dist/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="src/bootstrap-icons-1.8.1/bootstrap-icons.css">
	<link rel="stylesheet" type="text/css" href="css/styles.css">
	<script type="text/javascript" src="src/bootstrap-5.1.3-dist/js/bootstrap.min.js"></script>
    
</head>
<body>
	<!--MODALS-->
	<div></div>
	<header  id="cabecera">
	</header>
	<main class="container mt-3">
		<h1><i class="bi bi-cart-fill"></i></i>Mis Compras</h1>
		
		<div class="accordion mt-5 mb-5" id="listaOrdenes">
			<center id="sinCompras"><h3>Sin compras...</h3></center>
		</div>

	  <!-- FOOTER -->
	  <footer class="container">
	    <p class="float-end"><a href="#">Regresar arriba</a></p>
	    <p>© 2022 Muebleria Lucy</p>
	  </footer>
	</main>


<script type="text/javascript" src="src/jquery-3.6.0/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="js/util.js"></script>
<script type="text/javascript" src="js/scripts.js"></script>
<script type="text/javascript" src="js/index.js"></script>
<script type="text/javascript">
	$(document).ready(function() {
		cargarCompras();
	});

	function cargarCompras(){
		$.get('functions/CargarCompra.php', function(data) {
			let response = JSON.parse(data);
			if (response.codigoRespuesta==0) {
				response.compras.forEach( function(element, index) {
					console.log(element.idCompra)
					let htmlProds = ``;

					element.productos.forEach( function(producto, index) {
						console.log(producto.nombreMueble);
						 htmlProds += `<tr>
							      				<td>${producto.nombreMueble}</td>
							      				<td>S/${producto.precioUnitario}</td>
							      				<td>${producto.cantidad}</td>
							      				<td>S/${producto.total}</td>
							      			</tr>`
					});


					let htmlCodeCompra = `
				<div class="accordion-item">
			    <h2 class="accordion-header" id="headingOne">
			      <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#element_${element.idCompra}" aria-expanded="false" aria-controls="element_${element.idCompra}">
			        <div class="hstack gap-3">
							  <div class="">Compra <strong class="text-black">N° ${element.idCompra}</strong></div>
							  <div class="vr"></div>
							  <div class="ms-auto">DNI Comprador:</div>
							  <div class="ms-auto"><strong class="text-black">${element.dniCliente}</strong></div>
							  <div class="vr"></div>
							  <div class="ms-auto">Fecha:</div>
							  <div class="ms-auto">${element.fechaHora}</div>
							  <div class="vr"></div>
							  <div class="ms-auto">Total:</div>
							  <div class="ms-auto"><strong class="text-black">S/ ${element.precioFinal}</strong></div>
							</div>
							<span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-warning">
								En proceso
							<span class="visually-hidden">unread messages</span>
				  </span>
			      </button>
			    </h2>
			    <div id="element_${element.idCompra}" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#listaOrdenes">
			      <div class="accordion-body">
			      	<table class="table table-sm table-responsive">
			      		<thead class="table-dark">
			      			<th>Producto</th>
		      				<th>Precio Unitario</th>
		      				<th>Cantidad</th>
		      				<th>Total</th>
			      		</thead>
			      		<tbody>
			      			${htmlProds}
			      		</tbody>
			      	</table>
			      </div>
			    </div>
			  </div>`
			  $("#sinCompras").hide();
			  	$("#listaOrdenes").append(htmlCodeCompra);
				});
			}
		});
	}
</script>
</body>
</html>